import { CompositeType } from 'extract-pg-schema';
import { Nominators, TypeMap } from './Config';
declare const generateCompositeTypeFile: (compositeType: CompositeType, { typeMap, userTypes, tableOrViewTypes, schemaName, nominators, externalTypesFolder, schemaFolderMap, }: {
    typeMap: TypeMap;
    userTypes: string[];
    tableOrViewTypes: string[];
    schemaName: string;
    nominators: Nominators;
    externalTypesFolder?: string;
    schemaFolderMap: {
        [schemaName: string]: string;
    };
}) => string[];
export default generateCompositeTypeFile;
