"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var getSupportedTypes = function (types) {
    var enumTypes = [];
    var compositeTypes = [];
    for (var _i = 0, types_1 = types; _i < types_1.length; _i++) {
        var type = types_1[_i];
        switch (type.type) {
            case 'composite':
                compositeTypes.push(type);
                break;
            case 'enum':
                enumTypes.push(type);
                break;
        }
    }
    return {
        enumTypes: enumTypes,
        compositeTypes: compositeTypes,
    };
};
exports.default = getSupportedTypes;
