/**
 * @param {{ level: keyof LEVELS | 0 | 1 | 2 | 3 }} config
 *  */
export function logger(config: {
    level: keyof {
        silent: number;
        error: number;
        warn: number;
        quiet: number;
        log: number;
    } | 0 | 1 | 2 | 3;
}): void;
export namespace logger {
    export { log };
    export { warn };
    export { error };
    export { quiet };
}
export function log(first: any, ...rest: any[]): void;
export function quiet(first: any, ...rest: any[]): void;
export function warn(first: any, ...rest: any[]): void;
export function error(first: any, ...rest: any[]): void;
