"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var fs_1 = __importDefault(require("fs"));
var os_1 = __importDefault(require("os"));
var path_1 = __importDefault(require("path"));
var logger_1 = require("./logger");
/**
 * @param {{ fullPath: string, lines: string[] }} p0
 */
var writeFile = function (_a) {
    var fullPath = _a.fullPath, lines = _a.lines;
    var relativePath = path_1.default.relative(process.cwd(), fullPath);
    logger_1.logger.log(" - " + relativePath);
    var content = lines.join(os_1.default.EOL);
    fs_1.default.writeFileSync(fullPath, content, 'utf-8');
};
exports.default = writeFile;
