import { CompositeType, TableOrView } from 'extract-pg-schema';
export declare type TableModel = TableOrView & {
    type: 'table';
};
export declare type ViewModel = TableOrView & {
    type: 'view';
};
export declare type CompositeTypeModel = CompositeType & {
    type: 'composite';
};
export declare type Model = TableModel | ViewModel | CompositeTypeModel;
