declare type ImportSet = {
    default?: string;
    named: Set<string>;
};
declare class ImportGenerator {
    srcPath: string;
    constructor(srcPath: any);
    importMap: {
        [index: string]: ImportSet;
    };
    addImport(name: string, isDefault: boolean, absolutePath: string, isAbsolute: boolean): void;
    generateLines(): string[];
    private generateLine;
}
export default ImportGenerator;
